curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/sales' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Get sales metrics only
Sales metrics retrieved successfully
GET
/
api
/
v1
/
analytics
/
sales
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/sales' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Response
ApiResponse_SalesMetrics
object
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Sales metrics retrieved successfully |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/analytics/sales' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"average_order_value": "49.00",
"orders_this_month": 1,
"orders_this_week": 1,
"orders_today": 1,
"revenue_this_month": "string",
"revenue_this_week": "string",
"revenue_today": "string",
"total_orders": 1,
"total_revenue": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026